<?php
/**
 * @package    Cynergy Software PDF Component
  * @Copyright Copyright 2010, Cynergy Software
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_Component_-_Part_1
 * @license    GNU/GPL
 *    This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, version 3 of the License
 *
 *   The Cynergy-Software PDF component is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with the Cynergy Software PDF component.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 *   This file is part of The Cynergy-Software PDF component.
 *
 *   Cynergy-Software PDF component is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, version 3 of the License.
 *
 *   Cynergy-Software PDF component is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Cynergy-Software PDF component.  If not, see <http://www.gnu.org/licenses/>.
 *
 */ 
// No direct access
 
defined( '_JEXEC' ) or die( 'Restricted access' );
 
jimport('joomla.application.component.controller');
 
/**
 * Hello World Component Controller
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class CynergyPDFController extends JController
{

function __construct()
{
    parent::__construct();
 
    // Register Extra tasks
    $this->registerTask( 'add'  , 'edit', 'save', 'remove', 'apply' );
}

/**
 * display the edit form
 * @return void
 */
function edit()
{
    JRequest::setVar( 'view', 'editpage' );
    JRequest::setVar( 'layout', 'form'  );
    JRequest::setVar('hidemainmenu', 1);
 
    parent::display();
}
function save()
{
    $model = $this->getModel('editpage');
    $msg=$model->saveData();
    
 
    // Check the table in so it can be edited.... we are done with it anyway
    $link = 'index.php?option=com_cynergypdf';
    $this->setRedirect($link, $msg);
}
function apply()
{
    $model = $this->getModel('editpage');
    $msg=$model->saveData();
    
 
    // Check the table in so it can be edited.... we are done with it anyway
    $link = 'index.php?option=com_cynergypdf&cid=9&task=edit';
    $this->setRedirect($link, $msg);
}
function remove()
{

    $model = $this->getModel('cynergypdf');
    $msg=$model->removeData();
    
 
    // Check the table in so it can be edited.... we are done with it anyway
    $link = 'index.php?option=com_cynergypdf';
    $this->setRedirect($link, $msg);
}


    /**
     * Method to display the view
     *
     * @access    public
     */
    function display()
    {
        parent::display();
    }
 
}
