<?php
/**
 * @package    Cynergy Software PDF Component
  * @Copyright Copyright 2010, Cynergy Software
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_Component_-_Part_1
 * @license    GNU/GPL
 *    This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, version 3 of the License
 *
 *   The Cynergy-Software PDF component is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with the Cynergy Software PDF component.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 *   This file is part of The Cynergy-Software PDF component.
 *
 *   Cynergy-Software PDF component is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, version 3 of the License.
 *
 *   Cynergy-Software PDF component is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Cynergy-Software PDF component.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
 defined('_JEXEC') or die('Restricted access'); ?>
 
<form action="index.php" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data">
<div class="col100">
    <fieldset class="adminform">
        <legend><?php echo JText::_( 'Details' ); ?></legend>
        <legend><?php echo 'You can either create your own cynergy pdf tar using this <a target="_blank" href="http://www.cynergy-software.com/downloads/joomlacomponents/pdf-to-tar-howto.html">howto</a>, or use our <a target="_blank"  href="http://www.cynergy-software.com/downloads/joomlacomponents/pdf-to-tar-tool.html">online cynergy pdf to tar tool</a>' ; ?></legend> <br /><br />
        <legend> Maximum file upload set in your php.ini: <?php echo  ini_get('upload_max_filesize'); ?> </legend> <br /><br />
        <table class="admintable">
        <tr>
            <td width="100" align="right" class="key">
                <label for="greeting">
                    <?php echo JText::_( 'PDF Name' ); ?>:
                </label>
            </td>
            <td>
		<? //print_r($this);//->editpage); ?> 
                <input class="text_area" type="text" name="pdf_name" id="pdf_name" size="32" maxlength="250" value="<?php echo $this->editpage->pdf_name;?>" />
            </td>
        </tr>
        <tr>
            <td width="100" align="right" class="key">
                <label for="pdf_zip">
                    <?php echo JText::_( 'PDF cynergy tar' ); ?>:
                </label>
            </td>
            <td>
		<? //print_r($this);//->editpage); ?> 
                <input class="text_area" type="file" name="pdf_tar" id="pdf_tar" size="32" maxlength="250" value="" />
            </td>
        </tr>
    </table>
    </fieldset>
</div>
 
<div class="clr"></div>

<input type="hidden" name="option" value="com_cynergypdf" />
<input type="hidden" name="id" value="<?php echo $this->_models['editpage']->_data->pdf_id; ?>" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="controller" value="editpage" />
</form>
<legend><?php echo JText::_( 'PDF preview with default parameters that are all changeable in the front-end:' ); ?></legend> <br /><br />
<? echo $this->_models['editpage']->cynergypdfCjs();?>
<? echo $this->_models['editpage']->processPDF();?>
