<?php
/**
 * @package    Cynergy Software PDF Component
  * @Copyright Copyright 2010, Cynergy Software
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_Component_-_Part_1
 * @license    GNU/GPL
 *    This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, version 3 of the License
 *
 *   The Cynergy-Software PDF component is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with the Cynergy Software PDF component.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 *   This file is part of The Cynergy-Software PDF component.
 *
 *   Cynergy-Software PDF component is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, version 3 of the License.
 *
 *   Cynergy-Software PDF component is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Cynergy-Software PDF component.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();
 
jimport( 'joomla.application.component.model' );
 
/**
 * Hello Model
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class CynergyPDFModelCynergyPDF extends JModel
{
    /**
     * Hellos data array
     *
     * @var array
     */
    var $_data;
 
    /**
     * Returns the query
     * @return string The query to be used to retrieve the rows from the database
     */
    function _buildQuery()
    {
        $query = ' SELECT * '
            . ' FROM #__cynergypdf '
        ;
        return $query;
    }
 
    /**
     * Retrieves the hello data
     * @return array Array of objects containing the data from the database
     */
    function getData()
    {
        // Lets load the data if it doesn't already exist
        if (empty( $this->_data ))
        {
            $query = $this->_buildQuery();
            $this->_data = $this->_getList( $query );
        }
 
        return $this->_data;
    }
    function removeData(){

          $pdf_ids = JRequest::getVar('cid');
          foreach ($pdf_ids as $pdf_id)
            $where.=((!$where)?'(pdf_id = '.(int)$pdf_id.')':' or (pdf_id= '.(int)$pdf_id.')');
          
            $query = 'DELETE FROM #__cynergypdf '.
                    'WHERE '.$where;
            $this->_db->setQuery($query);
            if (!$this->_db->query()) {
                        JError::raiseError( 500, $this->_db->stderr());
                        return $this->_db->stderr();
            }
            return "deleted pdf(s) successfully";
    }
}
